## org.metaabm.function
Interface FFunction

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FGeneric, FGenericFunction, FGenericLogical, FLiteral, FLogical, FLogicalOperator, FOperator

All Known Implementing Classes:
  FFunctionImpl, FGenericFunctionImpl, FGenericImpl, FGenericLogicalImpl, FLogicalOperatorImpl, FOperatorImpl

    public interface FFunction

extends IID

Method Summary
`boolean` `accepts(IValue value, int place)`
`org.eclipse.emf.common.util.EList<SAttributeType>` `getAvailableTypes()` Returns the value of the 'Available Types' attribute list.
`org.eclipse.emf.common.util.EList<FArgumentPrototype>` `getInputPrototypes()` Returns the value of the 'Input Prototypes' containment reference list.
`boolean` `isMultiValue()`
`void` `setMultiValue(boolean value)` Sets the value of the '`Multi Value`' attribute.

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAvailableTypes

    org.eclipse.emf.common.util.EList<SAttributeType> getAvailableTypes()

  Returns the value of the 'Available Types' attribute list. The list contents are of type `SAttributeType`. The literals are from the enumeration `SAttributeType`.

  If the meaning of the 'Available Types' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Available Types' attribute list.
  See Also:
    `SAttributeType`, `MetaABMFunctionPackage.getFFunction_AvailableTypes()`

### getInputPrototypes

    org.eclipse.emf.common.util.EList<FArgumentPrototype> getInputPrototypes()

  Returns the value of the 'Input Prototypes' containment reference list. The list contents are of type `FArgumentPrototype`. It is bidirectional and its opposite is '`Input Function`'.

  If the meaning of the 'Input Prototypes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Input Prototypes' containment reference list.
  See Also:
    `MetaABMFunctionPackage.getFFunction_InputPrototypes()`, `FArgumentPrototype.getInputFunction()`

### accepts

    boolean accepts(IValue value,
                    int place)

### isMultiValue

    boolean isMultiValue()

### setMultiValue

    void setMultiValue(boolean value)

  Sets the value of the '`Multi Value`' attribute.

  Parameters:
    `value` - the new value of the 'Multi Value' attribute.
  See Also:
    `isMultiValue()`